Subject: Re: [Bitcoin-development] Does anyone have anything at all signed by Satoshi's PGP key?

From: Thomas Zander <[email-masked]>
Date: Mon, 15 Sep 2014 17:10:21 +0200

The reason it is in fact geek wanking is because pgp tried to solve a problem 
that can't be solved.
It tried to provide distributed trust to a system of identity, while still 
depending on the local governments (i.e. centralization) for the upstream ID.

Its a marriage that has no benefits.

What we really want is a (decentralized) identity management that allows me to 
create a new anonymous ID and use that as something more secure when needed 
that I have to proof its me.

So for instance I start including a bitcoin public key in my email signature. 
I don't sign the emails or anything like that, just to establish that everyone 
has my public key many times in their email archives.
Then when I need to proof its me, I can provide a signature on the content 
that the requester wants me to sign.

All the overhead of PGP and the WoT is really completely unneeded and just 
means that less people use it.

Consider this; people create accounts on GitHub or Reddit and those have in 
fact more value than your pgp key!  Because they got the anonymous part right.

On Monday 15. September 2014 09.32.03 Brian Hoffman wrote:
> I would agree that the in person aspect of the WoT is frustrating, but to
> dismiss this as "geek wanking" is the pot calling the kettle.
> 
> The value of in person vetting of identity is undeniable. Just because your
> risk acceptance is difference doesn't make it wanking. Please go see if you
> can get any kind of governmental clearance of credential without in-person
> vetting. Ask them if they accept your behavioral signature.
> 
> I know there is a lot of PGP hating these days but this comment doesn't
> necessarily apply to every situation.
> > On Sep 15, 2014, at 9:08 AM, Jeff Garzik <[email-masked]> wrote:
> >> On Mon, Sep 15, 2014 at 3:23 AM, Thomas Zander <[email-masked]>
> >> wrote: Any and all PGP related howtos will tell you that you should not
> >> trust or sign a formerly-untrusted PGP (or GPG for that matter) key
> >> without seeing that person in real life, verifying their identity etc.
> > 
> > Such guidelines are a perfect example of why PGP WoT is useless and
> > stupid geek wanking.
> > 
> > A person's behavioural signature is what is relevant.  We know how
> > Satoshi coded and wrote.  It was the online Satoshi with which we
> > interacted.  The online Satoshi's PGP signature would be fine...
> > assuming he established a pattern of use.
> > 
> > As another example, I know the code contributions and PGP key signed
> > by the online entity known as "sipa."  At a bitcoin conf I met a
> > person with photo id labelled "Pieter Wuille" who claimed to be sipa,
> > but that could have been an actor.  Absent a laborious and boring
> > signed challenge process, for all we know, "sipa" is a supercomputing
> > cluster of 500 gnomes.
> > 
> > The point is, the "online entity known as Satoshi" is the relevant
> > fingerprint.  That is easily established without any in-person
> > meetings.